#5 No IO::Tty::Constant

serious
closed-works-for-me
nobody
None
5
2002-03-13
2002-03-12
Anonymous
No

When I try to use Expect, I get:

Can't locate loadable object for module IO::Tty in @INC
(@INC contains: /usr/lib/perl5/5.6.0/i386-linux
/usr/lib/perl5/5.6.0 /usr/lib/perl5/site_perl/5.6.0/i386-linux
/usr/lib/perl5/site_perl/5.6.0 /usr/lib/perl5/site_perl .) at
IO/Tty.pm line 32
Compilation failed in require at IO/Pty.pm line 7.
BEGIN failed--compilation aborted at IO/Pty.pm line 7.
Compilation failed in require at Expect.pm line 22.
BEGIN failed--compilation aborted at Expect.pm line 22.

I am using IO-Tty-0.97_01, and it contains:

$tar ztvf IO-Tty-0.97_01.tar.gz
drwxr-xr-x rgiersig/users 0 2002-02-28 04:51:33
IO-Tty-0.97_01/
-rw-r--r-- rgiersig/users 8312 2002-02-28 04:50:24
IO-Tty-0.97_01/Pty.pm
-rw-r--r-- rgiersig/users 11556 2002-02-28 04:50:24
IO-Tty-0.97_01/Makefile.PL
-rw-r--r-- rgiersig/users 5535 2002-02-28 04:50:24
IO-Tty-0.97_01/ChangeLog
-rw-r--r-- rgiersig/users 6510 2002-02-26 07:07:15
IO-Tty-0.97_01/test.pl
-rw-r--r-- rgiersig/users 21874 2002-02-26 06:42:55
IO-Tty-0.97_01/Tty.xs
-rw-r--r-- rgiersig/users 6876 2002-02-28 04:50:24
IO-Tty-0.97_01/Tty.pm
-rw-r--r-- rgiersig/users 1686 2002-02-28 04:50:24
IO-Tty-0.97_01/README
-rwxr-xr-x rgiersig/users 2880 2002-02-26 06:42:56
IO-Tty-0.97_01/try
-rw-r--r-- rgiersig/users 71 2001-11-19 10:09:57
IO-Tty-0.97_01/MANIFEST

Now if I commout out line "use IO::Tty::Constant; " in file
Tty.pm, then I get:

Can't locate loadable object for module IO::Tty in @INC
(@INC contains: /usr/lib/perl5/5.6.0/i386-linux
/usr/lib/perl5/5.6.0 /usr/lib/perl5/site_perl/5.6.0/i386-linux
/usr/lib/perl5/site_perl/5.6.0 /usr/lib/perl5/site_perl .) at
IO/Tty.pm line 32
Compilation failed in require at IO/Pty.pm line 7.
BEGIN failed--compilation aborted at IO/Pty.pm line 7.
Compilation failed in require at Expect.pm line 22.
BEGIN failed--compilation aborted at Expect.pm line 22.

Discussion

  • Roland Giersig

    Roland Giersig - 2002-03-13
    • status: open --> closed
     
  • Roland Giersig

    Roland Giersig - 2002-03-13
    • summary: No IO::Tty::Constan --> No IO::Tty::Constant
    • status: closed --> closed-works-for-me
     
  • Roland Giersig

    Roland Giersig - 2002-03-13

    Logged In: YES
    user_id=40438

    Looks like some misconfiguration to me. You probably
    didn't do a 'make install' for IO-Tty or installed it with
    a different perl version.

     

Log in to post a comment.